System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

This interface provides methods that can be used to identify components of a component that are inherited from a base class.

To determine what components are inherited, call the method and pass the component to search and an to store references to the identified components. Call the method to retrieve an for a component that has been identified by the method.

Provides methods for identifying the components of a component.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method searches the specified component for any fields that implement the , adds each to the specified container, and stores an for each. The for a component indicates whether the field is inherited from a base class and can be retrieved using the method.

  Searches the specified component for fields that implement the interface and adds each to the specified container, storing the inheritance level of each which can be retrieved using the method.

  The to search. Searching begins with this component. The to add components to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.InheritanceAttribute ``

  If the component has been profiled by the method, this method returns the value . Otherwise, it returns the inheritance attribute for this component.

  You should call on the specified component or a parent of the specified component before attempting to obtain an that reflects the inheritance level of the specified component.

  Gets the inheritance attribute for the specified component.

  An instance of that describes the level of inheritance of the specified component.

  The for which to retrieve the inheritance attribute.